package de.intevation.flys.utils;

import com.vividsolutions.jts.geom.Coordinate;
import com.vividsolutions.jts.geom.Geometry;



public class GeometryUtils {

    private GeometryUtils() {
    }


    /**
     * Returns the boundary of Geometry <i>geom</i> in OpenLayers
     * representation.
     *
     * @param geom The geometry.
     *
     * @return the OpenLayers boundary of <i>geom</i>.
     */
    public static String jtsBoundsToOLBounds(Geometry geom) {
        Coordinate[] c = geom != null ? geom.getCoordinates() : null;

        if (c == null || c.length < 2) {
            return null;
        }

        return "" + c[0].x + " " + c[1].y + " " + c[1].x + " " + c[0].y;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
